Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 604117 - NoMoreMirrorsRepoError: failure: repodata/5c3ab96a2b58cb1b6ca21d59539e294bb9a95c8fdbb8ab209429e98bd2cc0853-filelists.sqlite.bz2 from anaconda-InstallationRepo-201005130101.x86_64: [Errno 256] No more mirrors to try.
NoMoreMirrorsRepoError: failure: repodata/5c3ab96a2b58cb1b6ca21d59539e294bb9a...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
13
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
anaconda_trace_hash:2d215d596246aa3cc...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-15 09:09 EDT by Kamil Páral
Modified: 2010-07-14 13:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-14 13:06:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (189.86 KB, text/plain)
2010-06-15 09:09 EDT, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2010-06-15 09:09:34 EDT
The following was filed automatically by anaconda:
anaconda 13.42 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 815, in _getFile
    raise Errors.NoMoreMirrorsRepoError, errstr
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 1569, in _retrieveMD
    size=thisdata.size)
  File "/usr/lib/python2.6/site-packages/yum/yumRepo.py", line 172, in populate
    db_fn = repo._retrieveMD(mydbtype)
  File "/usr/lib/python2.6/site-packages/yum/sqlitesack.py", line 296, in _loadFiles
    self.sack.populate(self.repo, mdtype='filelists')
  File "/usr/lib/python2.6/site-packages/yum/sqlitesack.py", line 365, in returnFileTypes
    self._loadFiles()
  File "/usr/lib/anaconda/yuminstall.py", line 867, in getDownloadPkgs
    for filetype in txmbr.po.returnFileTypes():
  File "/usr/lib/anaconda/yuminstall.py", line 1466, in doPostSelection
    (self.dlpkgs, self.totalSize, self.totalFiles)  = self.ayum.getDownloadPkgs()
  File "/usr/lib/anaconda/backend.py", line 290, in doPostSelection
    return anaconda.backend.doPostSelection(anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 126, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1313, in nextClicked
    self.anaconda.dispatch.gotoNext()
NoMoreMirrorsRepoError: failure: repodata/5c3ab96a2b58cb1b6ca21d59539e294bb9a95c8fdbb8ab209429e98bd2cc0853-filelists.sqlite.bz2 from anaconda-InstallationRepo-201005130101.x86_64: [Errno 256] No more mirrors to try.
Comment 1 Kamil Páral 2010-06-15 09:09:39 EDT
Created attachment 424150 [details]
Attached traceback automatically from anaconda.
Comment 2 Chris Lumens 2010-06-16 10:41:23 EDT
Is this at all reproducable?
Comment 3 Kamil Páral 2010-06-21 05:20:40 EDT
I don't think so. I believe I used kickstart with custom repo definition back then and that repo was somehow slow and probably failed in the end. But I'm not sure. Anyway I hoped this can be handled somehow better (instead of just providing traceback and aborting - what about Retry button?) so I reported it even without a reproducer.

Note You need to log in before you can comment on or make changes to this bug.